# Interface ScoreMatrix

All Known Implementing Classes:
  `AminoAcidScores, Blosum45, Blosum50, Blosum55, Blosum60, Blosum62, Blosum65, Blosum70, Blosum75, Blosum80, Blosum85, Blosum90, Hamming, JukesCantor, NucleotideScores, Pam100, Pam110, Pam120, Pam130, Pam140, Pam150, Pam160, Pam170, Pam180, Pam190, Pam200, Pam210, Pam220, Pam230, Pam240, Pam250, Scores, SubstScoreMatrix`

public interface ScoreMatrix

Version:
  $Id: ScoreMatrix.java 360 2006-06-22 07:42:48Z pepster $
Author:
  Alexei Drummond

## Method Summary

Modifier and Type
Method
Description
`String`
`getAlphabet()`
`String`
`getName()`
`float`
`getScore(char x, char y)`

## Method Details

### getName

String getName()

Returns:
  human readable name

### getScore

float getScore(char x, char y)

Returns:
  the score for matching char x with char y

### getAlphabet

String getAlphabet()

Returns:
  a string containing the valid characters for this score matrix.